ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::files::detail::PixelBufferConstArrayVisitor< T > Struct Template Reference

Find a PixelBuffer data array of a specific pixel type. More...

`#include <ome/files/PixelBuffer.h>`

Inheritance diagram for ome::files::detail::PixelBufferConstArrayVisitor< T >:
[legend]
Collaboration diagram for ome::files::detail::PixelBufferConstArrayVisitor< T >:
[legend]

## Public Member Functions
template<typename U >
const PixelBuffer< T >::array_ref_type & | operator() (U &v) const
| PixelBuffer of any type. More...

## Detailed Description

### template<typename T>
struct ome::files::detail::PixelBufferConstArrayVisitor< T >

Find a PixelBuffer data array of a specific pixel type.

## Member Function Documentation

template<typename T>
template<typename U >

const PixelBuffer<T>::array_ref_type& ome::files::detail::PixelBufferConstArrayVisitor< T >::operator() | ( | U & | v | ) | const
| inline

PixelBuffer of any type.

Parameters

  v | the MultiArray variant.

Returns
  a const reference to the data array.

The documentation for this struct was generated from the following file:

- ome/files/PixelBuffer.h